#ifdef __cplusplus
// ttywin.h

/* text window memory */
#define TROWS 35
#define TCOLS 86

class TTYwin {
  public:
  HWND hwnd;        // handle of our port window
  HFONT hfont;
  char text_buf[TROWS+2][TCOLS+3];
  int screen_update_flag;  // need to update the screen.
  int display_cur_row;
  int cur_row;
  int cur_col;
  int scr_size_x;
  int scr_size_y;
  int show_crlf;
  int caret_on;
  unsigned long text_color;
  HBRUSH hbrush_window;  // for painting background

  TTYwin();
  ~TTYwin();
  void TTYwin::init(HWND owner_hwnd);
  void TTYwin::set_color(int color_rgb);
  void TTYwin::set_size(int x, int y);
  void TTYwin::show_caret(int on);
  void TTYwin::mess_str(char *str, int len=0);
  void TTYwin::update_screen(int all_flag);
  void TTYwin::mess_line(char *str, int line_num);
  void TTYwin::mess_num(int num);
  void TTYwin::clear_scr(void);
};
#endif
